GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

          • Get user list
          • Get user information
          • Get user information in batches
          • Create users
          • Create users in batches
          • Modify user information
          • Batch modify user information
          • Delete user
          • Get the user's external identity source
          • Get user role list
          • Get user real-name authentication information
          • Delete user real-name authentication information
          • Get user department list
          • Set user department
          • Get user group list
          • Get user MFA binding information
          • Get the archived user list
          • Force offline users
          • Judge whether the user exists
          • Get user-accessible applications
          • Get user-authorized applications
          • Determine whether the user has a certain role
          • Get the user's login history
          • Get the application that the user has logged in to
          • Get the identity source that the user has logged in to
          • User resignation
          • Batch user resignation
          • Get all resources authorized by the user
          • Check whether a user has a session login status in the application
          • Import user OTP
          • Set user MFA status
          • Get user MFA status
        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

        • Manage Applications

        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage users

  10. /
  11. Get user department list

¶ Get user department list

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory and https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get the user department list through user ID, support paging, and choose to get custom data, select a specified user ID type, ascending or descending, etc.

¶ Method Name

ManagementClient.getUserDepartments

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
userIdstringYes-The unique identifier of the user. It can be Yes user ID, user name, email address, mobile phone number, externalId, or ID in the external identity source. For details, see the description of the userIdType field. The default is user id.6229ffaxxxxxxxxcade3e3d9
userIdTypestringNouser_idUser id type, the default value is user_id, the optional values ​​are:
- user_id: GenAuth user ID, such as 6319a1504f3xxxxf214dd5b7
- phone: user phone number
- email: user email
- username: user name
- external_id: user ID in the external system, corresponding to the externalId field of GenAuth user information
- identity: user's external identity source information, the format is <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the ID of the user in the external identity source.
Example Value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.
- sync_relation: The user's external identity source information, in the format of <provier>:<userIdInIdp>, where <provier> is the synchronization identity source type, such as wechatwork, lark; <userIdInIdp> is the user's ID in the external identity source.
Example Value: lark:ou_8bae746eac07cd2564654140d2a9ac61.
user_id
withCustomDatabooleanNo-Yes No Get custom datatrue
withDepartmentPathsbooleanNo-Yes No Get department pathtrue
sortBystringNoJoinDepartmentAtSorting basis, such as department creation time, department joining time, department name, department identifierJoinDepartmentAt
orderBystringNoDescAscending or descendingDesc

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.GetUserDepartmentsDto;
import cn.authing.sdk.java.dto.UserDepartmentPaginatedRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

public class GetUserDepartmentsTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");

        ManagementClient client = new ManagementClient(clientOptions);

        GetUserDepartmentsDto reqDto = new GetUserDepartmentsDto();
        reqDto.setUserId("6229ffaxxxxxxxxcade3e3d9");
        UserDepartmentPaginatedRespDto response = client.getUserDepartments(reqDto);
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: UserDepartmentPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataUserDepartmentPagingDtoResponse data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "organizationCode": "steamory",
      "departmentId": "60b49eb83fd80adb96f26e68",
      "createdAt": "2022-07-03T03:20:30.000Z",
      "name": "dd8d7stf44",
      "description": "dd8d7stf44",
      "openDepartmentId": "ou_7dab8a3d3cdccxxxxxx777c7ad535d62",
      "isLeader": true,
      "code": "6229c4deb3e4d8a20b6021ff",
      "isMainDepartment": true,
      "joinedAt": "2022-07-03T03:20:30.000Z",
      "i18n": {
        "name": {
          "zh-CN": {
            "enabled": false,
            "value": "中文"
          },
          "en-US": {
            "enabled": false,
            "value": "English"
          }
        }
      },
      "customData": {
        "icon": "https://example.com/logo"
      },
      "departmentIdPath": "[\"parentId1\",\"parentId2\"]",
      "departmentCodePath": "[\"parentCode1\",\"parentCode2\"]",
      "departmentNamePath": "[\"parentName1\",\"parentName2\"]"
    }
  }
}

¶ Data Structure

¶ UserDepartmentPagingDto

NameType
Is it required
Description
Example Value
totalCountnumberYesTotal number of records
listarrayYesResponse data nested type:UserDepartmentRespDto。

¶ UserDepartmentRespDto

NameType
Is it required
Description
Example Value
organizationCodestringYesOrganization Code (organizationCode)steamory
departmentIdstringYesDepartment ID60b49eb83fd80adb96f26e68
isRootbooleanYesYes No Root department
createdAtstringYesDepartment creation time2022-07-03T03:20:30.000Z
namestringYesDepartment Namedd8d7stf44
descriptionstringYesDepartment descriptiondd8d7stf44
openDepartmentIdstringNoCustom department ID, used to store custom IDsou_7dab8a3d3cdccxxxxxx777c7ad535d62
isLeaderbooleanYesYes No Yes Department Leadertrue
codestringYesDepartment identification code6229c4deb3e4d8a20b6021ff
isMainDepartmentbooleanYesYes No Yes Main departmenttrue
joinedAtstringYesJoined department time2022-07-03T03:20:30.000Z
isVirtualNodebooleanYesYes No Yes Virtual department
i18nNoMulti-language settings Nested Type: DepartmentI18nDto.{"name":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNoDepartment extension field data{"icon":"https://example.com/logo"}
departmentIdPatharrayNoDepartment ID path["parentId1","parentId2"]
departmentCodePatharrayNoDepartment Code path["parentCode1","parentCode2"]
departmentNamePatharrayNoDepartment name path["parentName1","parentName2"]

¶ DepartmentI18nDto

NameType
Is it required
Description
Example Value
nameYesSupport multi-language fields Nested Type: LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

¶ LangObject

NameType
Is it required
Description
Example Value
zh-CNYesMultilingual Chinese content Nested Type: LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested Type: LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nested Type: LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nested Type: LangUnit.{"enabled":false,"value":"日本語"}

¶ LangUnit

NameType
Is it required
Description
Example Value
enabledbooleanYesYes No Enabled. If enabled and the console selects this language, the content will be displayed. (Off by default)
valuestringYesMultilingual content
Previous article: Delete user real-name authentication information Next article: Set user department
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.